summaryrefslogtreecommitdiff
path: root/macosx-setup.sh
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2015-04-16 18:58:14 -0700
committerGuy Harris <guy@alum.mit.edu>2015-04-17 01:58:57 +0000
commita0254ff9d40728d27550882614b2e21bb06db99b (patch)
tree7924536343d8f52e980f0f81da0527ac66290060 /macosx-setup.sh
parent59060e1b64b4c5cd296cbf0951656061568ca14b (diff)
downloadwireshark-a0254ff9d40728d27550882614b2e21bb06db99b.tar.gz
Mount the CMake dmg we downloaded, don't download it again.
Amazingly, "hdiutil attach" can take a URL as an argument; it will attempt to download the file in question and mount it. We've already downloaded the file, so there's no point in downloading it again (especially not with a URL with "v2.8" coded in). Change-Id: I106fc0c32a378aeead66ed32bceb454d23efa297 Reviewed-on: https://code.wireshark.org/review/8103 Reviewed-by: Guy Harris <guy@alum.mit.edu>
Diffstat (limited to 'macosx-setup.sh')
-rwxr-xr-xmacosx-setup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/macosx-setup.sh b/macosx-setup.sh
index a14052ba30..c4739db0e4 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -302,7 +302,7 @@ install_cmake() {
# package in question supports both 32-bit and 64-bit x86.
#
[ -f cmake-$CMAKE_VERSION-Darwin64-universal.dmg ] || curl -O http://www.cmake.org/files/v$cmake_dir/cmake-$CMAKE_VERSION-Darwin64-universal.dmg || exit 1
- sudo hdiutil attach http://www.cmake.org/files/v2.8/cmake-$CMAKE_VERSION-Darwin64-universal.dmg || exit 1
+ sudo hdiutil attach cmake-$CMAKE_VERSION-Darwin64-universal.dmg || exit 1
sudo installer -target / -pkg /Volumes/cmake-$CMAKE_VERSION-Darwin64-universal/cmake-$CMAKE_VERSION-Darwin64-universal.pkg || exit 1
sudo hdiutil detach /Volumes/cmake-$CMAKE_VERSION-Darwin64-universal
touch cmake-$CMAKE_VERSION-done